Subject: Re: bug#32047: 26.1; Misleading/confusing text about `C-k' in TUTORIAL

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Jul 2018 19:12:11 +0300

> From: [email-masked] (N. Jackson)
> Date: Tue, 03 Jul 2018 21:34:33 -0400
> 
> 414 >> Move the cursor to the beginning of a line which is not empty.
> 415    Then type C-k to kill the text on that line.
> 416 >> Type C-k a second time.  You'll see that it kills the Newline
> 417    which follows that line.
> 418 
> 419 Note that a single C-k kills the contents of the line, and a second
> 420 C-k kills the line itself, and makes all the other lines move up.  C-k
> 421 treats a numeric argument specially: it kills that many lines AND
> 422 their contents.  This is not mere repetition.  C-u 2 C-k kills two
> 423 lines and their Newlines; typing C-k twice would not do that.
> 
> The example(s) given in Lines 414 to 417 are correct. But the
> sentence beginning on Line 419 is misleading. It is only true
> when point is at the beginning of the line.

But in this case, point _is_ at the beginning of the line, isn't it?
So I wonder whether it is worth it to complicate the text just for
accuracy's sake?

What do others think?

Thanks.